CREATE TABLE `tbl_item_group` (
  `item_group_id` int(11) unsigned NOT NULL auto_increment,
  `item_group_name` varchar(255) NOT NULL default '',
  `comment` text,
  PRIMARY KEY  (`item_group_id`),
  UNIQUE KEY `unique_group_name` (`item_group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

 CREATE TABLE `tbl_item` (
  `item_id` int(11) unsigned NOT NULL auto_increment,
  `item_name` varchar(255) NOT NULL default '',
  `item_url` varchar(255) NOT NULL default '',
  `follow_link` int(11) default '0',
  `user_id` text NOT NULL,
  `password` text NOT NULL,
  `comment` text NOT NULL,
  `item_group_id` int(11) unsigned default '0',
  `medals_id` int(11) NOT NULL default '0',
  `parameter` text,
  PRIMARY KEY  (`item_id`),
  UNIQUE KEY `unique_item_name` (`item_name`),
  UNIQUE KEY `unique_item_URL` (`item_url`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

CREATE TABLE `tbl_sub_item` (
  `sub_item_id` bigint(20) unsigned NOT NULL auto_increment,
  `sub_item_URL` text,
  `last_modified` text,
  `content_length` text,
  `e_tag` text,
  `MD5` text,
  `item_id` int(11) unsigned default NULL,
  PRIMARY KEY  (`sub_item_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

CREATE TABLE `tbl_update_histry` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `item_id` int(11) unsigned default NULL,
  `date_update` int(8) unsigned zerofill default NULL,
  `time_update` int(6) unsigned zerofill default NULL,
  PRIMARY KEY  (`id`),
  KEY `item_id` (`item_id`),
  KEY `index_update_histry` (`date_update`,`time_update`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

 CREATE TABLE `tbl_category` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `history_id` int(11) unsigned NOT NULL default '0',
  `category_code` char(2) NOT NULL default '00',
  PRIMARY KEY  (`id`),
  KEY `history_id` (`history_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

CREATE TABLE `tbl_category_code` (
  `code` varchar(2) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

