#!/usr/bin/perl
########################################################################################
# ファイル名：count_registered_group.cgi
# 機能：選択したアイテムグループがtbl_itemテーブルに登録されているか確認し、画面に出力
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/19
# 
########################################################################################
use strict;
use warnings;
use lib qw( ./pm );
use system_config;
use CGI;
use common;
use HTML::Template;
use utf8;

&main();
exit(1);

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	# CGIオブジェクト
	use CGI;
	my $query = new CGI;
	my($msg);
	
	# 引数の取得
	my $group_name = $query->param('group_name');
	my $group_id = $query->param('group_id');
	
	# 引数group_idの登録数(tbl_itemテーブル)
	my $cnt = &count_recode($group_id);
	
	if($cnt == 0) {
		$msg = $group_name.$::msg_delete_ok1;
	} else {
		$msg = $::msg_delete_ok2.$group_name.$::msg_delete_ok1;
	}
	
	# ----------------------------------
	# テンプレートのパラメータ設定
	#
	my $template = HTML::Template->new(filename => './template/group_dalete_ok.tmpl');
	$template->param( MESSAGE => $msg );

	# 返値設定
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
	
	return(1);

}

########################################################################################
# 関数名:count_recode
# 機能  :選択したグループ番号で登録されたtbl_itemテーブルの件数を確認
# 引数  :$group_id
# 戻り値:登録件数$cnt(0→登録なし　0以外→登録されたデータ)
########################################################################################
sub count_recode {
	my($id);
	
	# 引数取得
	$id = shift(@_);
	
	# SQL分作成
	my $sql = qq { SELECT item_id FROM tbl_item WHERE item_group_id = ? };
	my @data = ($id);
	
	my $dbh = &common::db_open();
	my ($cnt, $sth) = &common::count_sql_result($dbh, $sql, 'count_registered_group.cgi', @data);
	

	# 検索終了(SQL開放)
	#########################################
	$sth->finish;
	
	# コミット＆切断
	#########################################
	$dbh->commit || warn $dbh->errstr;
	$dbh->disconnect || warn $dbh->errstr;
	
	return($cnt);
}
