#!/usr/bin/perl
########################################################################################
# ファイル名：item_group_list.cgi
# 機能：Item Groupのリストを取得。
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/10
# 
########################################################################################
use strict;
use warnings;
use lib qw( ./pm );
use system_config;
use CGI;
use common;
use HTML::Template;
use utf8;

&main();
exit(1);

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	my $query = new CGI;
	my $item_group = &get_item_group_list();
	
	# 検索結果
	my $template = HTML::Template->new(filename => './template/item_group_list.tmpl');
	$template->param( ITEMGROUPCOUNT => $item_group );
	
	# HTML 生成
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
}

########################################################################################
# 関数名:get_item_group_list
# 機能  :Item Groupの取得
# 引数  :なし
# 戻り値:1
########################################################################################
sub get_item_group_list {
	# Item Groupの取得
	my $sql = qq(SELECT item_group_id, item_group_name FROM tbl_item_group
				ORDER BY item_group_name ASC);
	my $dbh = &common::db_open();
	my $sth = &common::execute_sql($dbh, $sql, 'item_group_list.cgi');
	my @loop_data = ();
	
	while(my @row = $sth->fetchrow) {
		my %row_data;
		$row_data{item_group_id} = $row[0];
		$row_data{item_group} = $row[1];
		push(@loop_data, \%row_data);
	}

	$dbh->commit     || warn $dbh->errstr; 
	$dbh->disconnect || warn $dbh->errstr;
	
	return \@loop_data

}

