##################################################################################
# ファイル名：top.pm
# 機能：
# トップ画面に関わる処理を纏めたモジュール
# 
# 改訂履歴：
# 1.0.0 ：新規作成      2007/11/10
#
##################################################################################
package top;

use strict;
use lib qw( ./pm ./prm );
use HTML::Template;

########################################################################################
# 関数名:print_template
# 機能  :テンプレートの出力
# 引数  :なし
# 戻り値:1
########################################################################################
sub print_template {
	my($temp_file);
	my(%items);
	my($template);
	my(@Tmpl_val_l);
	my($i);
	
	# 引数取得
	$temp_file = shift(@_);
	%items = %{shift(@_)};
	
	# パラメータの設定
	$items{'DIR_CSS'} = $::dir_css;
	$items{'DIR_JS'} = $::dir_js;
	$items{'DIR_IMG'}  = $::dir_img;
	
	# HTMLテンプレートのオープン
	$template = HTML::Template->new(filename => "$::dir_template/$temp_file", die_on_bad_params => 0, case_sensitive => 1);
	
	@Tmpl_val_l = keys(%items);
	# データの埋め込み
	for ($i = 0; $i < @Tmpl_val_l; $i++){
		$template->param($Tmpl_val_l[$i] => $items{$Tmpl_val_l[$i]});
	}
	
	# 画面出力
	print "Content-Type:text/html\n\n"; 
	print $template->output;

}
1;
